Name:    kompare
Summary: Diff tool
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and GFDL
URL:     https://apps.kde.org/kompare/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kcodecs-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kjobwidgets-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-kwidgetsaddons-devel
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  libkomparediff2-devel >= %{majmin_ver}

Requires:       %{name}-libs = %{version}-%{release}

Conflicts: kde-l10n < 17.03

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-kompare = %{version}-%{release}
Provides:       mergetool

%description
Tool to visualize changes between two versions of a file

%package libs
Summary: Runtime libraries for %{name}
Provides:  kdesdk-kompare-libs = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
Requires:  libkomparediff2 >= %{majmin_ver}
%description libs
This package contains shared libraries for %{name}.

%package devel
Summary: Developer files for %{name}
Provides:  kdesdk-kompare-devel = %{version}-%{release}
Requires:  %{name}-libs = %{version}-%{release}
Requires:  qt5-qtbase-devel
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.kompare.desktop


%files -f %{name}.lang
%doc README
%license LICENSES/*
%{_bindir}/kompare
%{_datadir}/applications/org.kde.kompare.desktop
%{_datadir}/icons/hicolor/*/apps/kompare.*
%{_datadir}/kio/servicemenus/kompare.desktop
%{_kf5_datadir}/qlogging-categories5/kompare.categories
%{_kf5_metainfodir}/org.kde.kompare.appdata.xml



%files libs
%{_libdir}/libkomparedialogpages.so.*
%{_libdir}/libkompareinterface.so.*
%{_kf5_plugindir}/parts/komparenavtreepart.so
%{_kf5_plugindir}/parts/komparepart.so

%files devel
%{_includedir}/kompare/
%{_libdir}/libkompareinterface.so


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
